# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================

args=$*
binDir=`dirname $0`

if [ "${IBM_RAD_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi


# Set up environment
AST_DIR="$IBM_RAD_BIN/../eclipse"
WSDK_HOME="$IBM_RAD_BIN/../runtimes/wsdk"
WAS_HOME="$IBM_RAD_BIN/../runtimes/base_v61_stub"



# Call the UDDIPublishClass

"$WAS_HOME/java/bin/java" -cp "$WSDK_HOME/delegate.jar:$usrClassPath" -Dwsdk.app.server.home="$WAS_HOME" -Dwsad.wsdk.properties="$WSDK_HOME/j2ee14/wsdk.properties" -DWSDK_HOME="$WSDK_HOME" com.ibm.wsdk.delegate.DelegateClass "$WSDK_HOME/j2ee14/ws_cmdline_v61CP.txt" com.ibm.wsdk.tools.tasks.console.UDDIPublish "$@"

echo ""


