@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

set AST_DIR=%IBM_RAD_BIN%..\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v61_stub



REM Call the UDDIUnpublish class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation

"%WAS_HOME%\java\bin\java" -cp "%WSDK_HOME%\delegate.jar;%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee14\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee14\ws_cmdline_v61CP.txt" com.ibm.wsdk.tools.tasks.console.UDDIUnpublish %*

goto :EOF

:END
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN